Modify¶
POST /api/v1/account/{account_uuid}/modify
Overview¶
Route Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| account_uuid | string | Y | The UUID of the account |
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| name | string | Nickname Example: supper_man Allow Null: False |
|
| mobile | string | Mobile phone number (local number). Legacy 11-digit Chinese mobile numbers will be compatible with countryCode=86. Example: 18621000000 Allow Null: False Allow Empty String: True |
|
| countryCode | string | Country/Region code for the mobile phone number. Example: 86 Allow Null: False Allow Empty String: True |
|
| username | string | Login account. Example: username Allow Null: False |
|
| string | Email address. Example: email Allow Null: False Allow Empty String: True Max Length: 256 |
||
| password | string | Password. Example: xxxx Allow Null: False |
|
| source | string | Account source identifier. If exterId is not specified, it is fixed as 'local'; if exterId is specified, it cannot be 'local'. Allow Null: True Allow Empty String: True Allowed Values: ['local', 'unknown', 'oidc', 'ldap'] |
|
| tokenHoldTime | integer | Inactive session hold duration (in seconds, default 1440 minutes, 86400 seconds). Example: 604800 Allow Null: False Allow Empty String: False $minValue: 1800 $maxValue: 604800 |
|
| tokenMaxValidDuration | integer | Maximum login session validity duration (in seconds, default 7 days, 604800 seconds). Example: 2592000 Allow Null: False Allow Empty String: False $minValue: 60 $maxValue: 2592000 |
|
| attributes | json | Account attribute information (JSON structure, KV structure, V part should preferably use strings, applicable for automatic updates during SSO login). Example: {'部门': 'A部门'} Allow Null: False |
|
| customAttributes | json | Account custom attribute information (JSON structure, KV structure, V part should preferably use strings, only applicable for updates from the business side). Example: {'部门': 'A部门'} Allow Null: False |